Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.yaml.snakeyaml
Enum DumperOptions.FlowStyle

    java.lang.Object
      java.lang.Enum<DumperOptions.FlowStyle>
          org.yaml.snakeyaml.DumperOptions.FlowStyle

All Implemented Interfaces:
  Serializable, Comparable<DumperOptions.FlowStyle>

Enclosing class:
  DumperOptions

    public static enum DumperOptions.FlowStyle

extends Enum<DumperOptions.FlowStyle>

Block styles use indentation to denote nesting and scope within the document. In contrast, flow styles rely on explicit indicators to denote nesting and scope.

See Also:
  `Chapter 10. Collection Styles http://yaml.org/spec/1.1/#id930798`

Enum Constant Summary
`AUTO`
`BLOCK`
`FLOW`

Method Summary
`Boolean` | `getStyleBoolean()`
`String` | `toString()`
`static DumperOptions.FlowStyle` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DumperOptions.FlowStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FLOW

    public static final DumperOptions.FlowStyle FLOW

### BLOCK

    public static final DumperOptions.FlowStyle BLOCK

### AUTO

    public static final DumperOptions.FlowStyle AUTO

Method Detail

### values

    public static final DumperOptions.FlowStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DumperOptions.FlowStyle c : DumperOptions.FlowStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DumperOptions.FlowStyle valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getStyleBoolean

    public Boolean getStyleBoolean()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<DumperOptions.FlowStyle>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011. All Rights Reserved.